package net.sourceforge.phpeclipse.xdebug.php.model;

import org.eclipse.debug.core.DebugException;
import org.w3c.dom.Node;

public class XDebugArrayValue extends XDebugAbstractValue {
	public XDebugArrayValue(XDebugStackFrame variable, Node value) throws DebugException {
		super(variable, value);
	}

	public void renderValueString(String data) throws DebugException  {
		if (data.equals("")) {
			fValueString = "empty";
		} else {
			if ("array".equals(getReferenceTypeName())) {
				fValueString = "array";
			} else {
				fValueString = data;
			}
		}
	}

	public boolean verifyValue(String expression) {
		return false;
	}
}